Package com.google.android.exoplayer2

## Interface ExoPlayer.DeviceComponent

- All Known Implementing Classes:
    `SimpleExoPlayer`
  Enclosing interface:
    ExoPlayer

      @Deprecated
      public static interface ExoPlayer.DeviceComponent

  Deprecated.
  Use `Player`, as the `ExoPlayer.DeviceComponent` methods are defined by that interface.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `decreaseDeviceVolume()` | Deprecated. Use `Player.decreaseDeviceVolume()` instead.
    `DeviceInfo` | `getDeviceInfo()` | Deprecated. Use `Player.getDeviceInfo()` instead.
    `int` | `getDeviceVolume()` | Deprecated. Use `Player.getDeviceVolume()` instead.
    `void` | `increaseDeviceVolume()` | Deprecated. Use `Player.increaseDeviceVolume()` instead.
    `boolean` | `isDeviceMuted()` | Deprecated. Use `Player.isDeviceMuted()` instead.
    `void` | `setDeviceMuted​(boolean muted)` | Deprecated. Use `Player.setDeviceMuted(boolean)` instead.
    `void` | `setDeviceVolume​(int volume)` | Deprecated. Use `Player.setDeviceVolume(int)` instead.

- - ### Method Detail

    - #### getDeviceInfo

          @Deprecated
          DeviceInfo getDeviceInfo()

      Deprecated.
      Use `Player.getDeviceInfo()` instead.

    - #### getDeviceVolume

          @Deprecated
          int getDeviceVolume()

      Deprecated.
      Use `Player.getDeviceVolume()` instead.

    - #### isDeviceMuted

          @Deprecated
          boolean isDeviceMuted()

      Deprecated.
      Use `Player.isDeviceMuted()` instead.

    - #### setDeviceVolume

          @Deprecated
          void setDeviceVolume​(int volume)

      Deprecated.
      Use `Player.setDeviceVolume(int)` instead.

    - #### increaseDeviceVolume

          @Deprecated
          void increaseDeviceVolume()

      Deprecated.
      Use `Player.increaseDeviceVolume()` instead.

    - #### decreaseDeviceVolume

          @Deprecated
          void decreaseDeviceVolume()

      Deprecated.
      Use `Player.decreaseDeviceVolume()` instead.

    - #### setDeviceMuted

          @Deprecated
          void setDeviceMuted​(boolean muted)

      Deprecated.
      Use `Player.setDeviceMuted(boolean)` instead.